function hideBaiduAnchor(){
    var arr = document.querySelectorAll(".anchorBL");
    if(arr && arr.length>0){
        for(var i = 0; i<arr.length;i++){
            arr[i].style.display='none';
        }
    }else{
        setTimeout(hideBaiduAnchor, 100);
    }
    
}

window.onresize=function(){
}
document.body.onload=function(){
}

//1.单击事件：click
//2.双击事件：dblclick
//3.拖动结束事件：dragend
//4.拖动开始事件：dragstart
//5.地图缩放结束事件：zoomend
//6.地图缩放开始事件：zoomstart
//7.地图移动结束触发事件：moveend
//8.地图移动开始触发事件：movestart
//9.地图移动触发事件：moving
//10.鼠标按下事件：mousedown
//11.鼠标移到事件：mousemove
//12.打开信息窗口事件：oninfowindowopen
//13.添加图层事件：addtilelayer
//14.移除图层事件：removetilelayer
//15.重定义地图大小事件：resize
function initMap(){
    var initMapLevel = 1;
    // GL版命名空间为BMapGL
    var map = new BMapGL.Map("allmap");    // 创建Map实例
    map.centerAndZoom(new BMapGL.Point(116.403963, 39.915119), initMapLevel);  // 初始化地图,设置中心点坐标和地图级别
    map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放
    map.setMapType(BMAP_EARTH_MAP);      // 设置地图类型为地球模式
    map.addEventListener('click', function(e) {
        console.log('点击的经纬度：' + e.latlng.lng + ', ' + e.latlng.lat);
        streetView.showPanorama(e.latlng.lng, e.latlng.lat);
        var mercator = map.lnglatToMercator(e.latlng.lng, e.latlng.lat);
        console.log('点的墨卡托坐标：' + mercator[0] + ', ' + mercator[1]);
    });
    map.addEventListener('zoomend',onZoomEnd);
    setTimeout(function(){
        map.zoomTo(initMapLevel);
    },2000);
    window.map = map;
}

function setCurrentLocation(lng,lat){
    map.clearOverlays()
    var point = new BMapGL.Point(lng, lat);
    var mk = new BMapGL.Marker(point);
    map.addOverlay(mk);
//    map.panTo(point);
}

function centerAndZoom(lng,lat){
    setCurrentLocation(lng,lat);
    map.centerAndZoom(new BMapGL.Point(lng,lat),15);
}

//缩放到指定大小
function zoomTo(level){
    if(level<1){
        level=1;
    }
    if(level>map.getMaxZoom()){
        level=map.getMaxZoom();
    }
    map.zoomTo(level);
}

//放大
function zoomIn(){
    var level = map.getZoom()+1;
    console.log("level="+level);
    if(level<1){
        level=1;
    }
    if(level>map.getMaxZoom()){
        level=map.getMaxZoom();
    }
  
    map.zoomTo(level);
}
//缩小
function zoomOut(){
    var level = map.getZoom()-1;
    console.log("level="+level);
    if(level<1){
        level=1;
    }
    if(level>map.getMaxZoom()){
        level=map.getMaxZoom();
    }
    map.zoomTo(level);
}



function onZoomEnd(e){
    console.log("map.getZoom():"+map.getZoom());
    if(map.getZoom()>18){
        if(streetView.isNeedShowVipDialog()){
            zoomTo(15);
            streetView.showVipDialog();
        } else {
            if (map.getZoom() >= 20) {
                streetView.showPanorama(map.getCenter().lng, map.getCenter().lat);
            }
        }
    }
}

function onMap3D(isTilt){
    if(isTilt){
        if(map.getZoom() >= 8) {
            map.setMapType(BMAP_NORMAL_MAP);
            map.setHeading(64.5);   //设置地图旋转角度
            map.setTilt(73);       //设置地图的倾斜角度
        } else {
            map.setZoom(8);
            setTimeout(function(){
                map.setMapType(BMAP_NORMAL_MAP);
                map.setHeading(64.5);   //设置地图旋转角度
                map.setTilt(73);       //设置地图的倾斜角度
            },500);

        }
    } else {
        map.setHeading(0.0);   //设置地图旋转角度
        map.setTilt(0.0);       //设置地图的倾斜角度
        setTimeout(function(){
                map.setMapType(BMAP_EARTH_MAP);
            },800);
    }
}

function clearPoi(){
    map.clearOverlays();
}


initMap();
hideBaiduAnchor();
